type CacheKeyArgs = any[];
type PromiseFunction = (...args: any[]) => Promise<any>;
type CacheUpdateErrorFunction = (error: any) => void;
type ShouldIgnoreResultFunction = (result: any, args: any[]) => Promise<boolean>;
type Cache = Map<string, any>;
interface RememberPromiseOptions {
    ttl?: number;
    allowStale?: boolean;
    cache?: Cache;
    getCacheKey?: (...args: CacheKeyArgs) => string;
    onCacheUpdateError?: CacheUpdateErrorFunction;
    shouldIgnoreResult?: ShouldIgnoreResultFunction;
    xfetchBeta?: number;
}
export default function rememberPromise(promiseFn: PromiseFunction, { ttl, allowStale, cache, getCacheKey, onCacheUpdateError, shouldIgnoreResult, xfetchBeta, }?: RememberPromiseOptions): (...args: any[]) => Promise<any>;
export {};
